<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form class="ls-form col-6">

  <div class="form-group">
    <label
      class="required"
      for="deskSelector"
      [innerText]="messages.DELEGATION_TO">
    </label>
    <app-desk-search-input
      id="deskSelector"
      [(desks)]="selectedSubstituteDesks"
      [multiple]="false"
      [clearable]="false"
      [genericValidatorsAvailable]="false"
      [retrieveDeskFunction]="retrieveAssociatedDesksFn">
    </app-desk-search-input>
  </div>

  <div class="form-group">
    <label
      for="startDate"
      [innerText]="messages.ABSENCE_START">
    </label>
    <input
      id="startDate"
      name="startDateIn"
      class="form-control"
      type="date"
      [min]="todayDate()"
      [max]="maxDate(endDateInput.valueAsNumber)"
      [valueAsDate]="start"
      (change)="startDateChangedFromInput($event)"
      required
      #startDateInput>
  </div>

  <div class="form-group">
    <label
      for="endDate"
      [innerText]="messages.ABSENCE_END">
    </label>
    <input
      id="endDate"
      name="endDateIn"
      class="form-control"
      type="date"
      [min]="minDate(startDateInput.valueAsNumber)"
      [valueAsDate]="end"
      (change)="endDateChangedFromInput($event)"
      #endDateInput>
  </div>

  <div class="form-group">
    <label
      for="typeSelector"
      [innerText]="messages.DELEGATION_FOR_TYPE">
    </label>
    <app-type-selector
      id="typeSelector"
      [retrieveTypesFunction]="retrieveTypesFn"
      [(type)]="type"
      (typeChange)="onTypeChanged($event)"
      [placeholder]="commonMessages.ALL_ELEMENTS">
    </app-type-selector>
  </div>

  <div *ngIf="type" class="form-group">
    <label
      for="subtypeSelector"
      [innerText]="messages.DELEGATION_FOR_SUBTYPE">
    </label>
    <app-subtype-selector
      id="subtypeSelector"
      [(subtype)]="subtype"
      [tenantId]="tenantId"
      [type]="type"
      [retrieveSubtypesFunction]="retrieveSubtypesFn"
      [placeholder]="commonMessages.ALL_ELEMENTS">
    </app-subtype-selector>
  </div>

</form>
